import ReactDOM from 'react-dom'
import { SVGContainer } from './SVGContainer'
import CirclePlot from './CirclePlot'

//Define a root element that React will attach sub elements to
const root = document.getElementById('app')

//The app component will hold all subcomponents belonging to it
const App = () => (
  <SVGContainer
    width={900}
    height={500}
    x={60}
    y={20}
  >
    <Title text={'An atypical 3D plot of students eye colors'}></Title>
    <CirclePlot node={root} width={900} height={500}/>
  </SVGContainer>
)

//A single line component that creates a text element holding our title
const Title = ({titleText}) => <text>{titleText}</text>

console.log({App})
//render the app component
ReactDOM.render(<App />, root)